package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.SpecialSendMessage;
import com.tzld.piaoquan.growth.common.model.po.SpecialSendMessageExample;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface SpecialSendMessageMapper {
    long countByExample(SpecialSendMessageExample example);

    int deleteByExample(SpecialSendMessageExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SpecialSendMessage record);

    int insertSelective(SpecialSendMessage record);

    List<SpecialSendMessage> selectByExample(SpecialSendMessageExample example);

    SpecialSendMessage selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SpecialSendMessage record, @Param("example") SpecialSendMessageExample example);

    int updateByExample(@Param("record") SpecialSendMessage record, @Param("example") SpecialSendMessageExample example);

    int updateByPrimaryKeySelective(SpecialSendMessage record);

    int updateByPrimaryKey(SpecialSendMessage record);

    List<SpecialSendMessage> getGroupList(@Param("preSendDate") String preSendDate);

    List<String> selectExternalUserId(@Param("staffId") Long staffId, @Param("content") String content,
                                      @Param("group") Integer group, @Param("preSendDate") String preSendDate);
}